<?php defined('BASEPATH') OR exit('No direct script access allowed');

class Posts extends CI_Controller 
{
 	public function __construct()
    {
		parent::__construct();
		error_reporting(0);
		if($this->session->userdata('type')!='1')
		{
			redirect('admin/oauth');
		}
		$this->load->model('admin/Page_model');
	}

	public function index()
	{
		$data['title']='Posts Listing';
		$data['pg']='active';
		$data['pages']=$this->Page_model->get_all_active();	
		$this->load->view('admin/pages/pages',$data);
	}

	public function add()
	{
		$data['title']='Add Posts';
		$data['pg']='active';
		$this->form_validation->set_rules('txttitle', 'Title', 'required');
		$this->form_validation->set_rules('txtcontent', 'Content', 'required');
		if ($this->form_validation->run() == FALSE)
        {
        	$this->load->view('admin/pages/add-page',$data);		
        }
        else
        {
			$config['upload_path']          = 'uploads/';
           	$config['allowed_types']        = 'gif|jpg|png';
           	$config['file_name'] = uniqid();
			$this->load->library('upload', $config);
			if ( ! $this->upload->do_upload('postimg'))
			{
				$image='';
			}
			else
			{
				$data = $this->upload->data();
				$image=$data['file_name'];
			}
			$insert_data=array(
				'title'=>$this->input->post('txttitle',true),
				'slug'=>url_title($this->input->post('txttitle',true), 'dash', true),
				'content'=>$this->input->post('txtcontent',true),
				'image'=>$image,
				'vlink'=>$this->input->post('txtvlink',true),
				'mtitle'=>$this->input->post('txtmtitle',true),
				'mdesc'=>$this->input->post('txtmdesc',true),
				'mkey'=>$this->input->post('txtmkeyword',true),
				'created_at'=>date('Y-m-d H:i:s')
			);
			$this->Page_model->insert($insert_data,null,null);
			$this->sitemap();
			redirect('admin/posts');
        }
	}

	public function edit($id)
	{
		$data['title']='Edit Post';
		$data['pg']='active';
		$where=array('id'=>$id);
		$data['page']=$this->Page_model->get_single_active($where);	
		$this->form_validation->set_rules('txttitle', 'Title', 'required');
		if ($this->form_validation->run() == FALSE)
        {
        	$this->load->view('admin/pages/edit-page',$data);		
        }
        else
        {
			$config['upload_path']          = 'uploads/';
           	$config['allowed_types']        = 'gif|jpg|png';
           	$config['file_name'] = uniqid();
			$this->load->library('upload', $config);
			if ( ! $this->upload->do_upload('postimg'))
			{
				$image=$data['page']->image;
			}
			else
			{
				$data = $this->upload->data();
				$image=$data['file_name'];
			}
			$insert_data=array(
				'title'=>$this->input->post('txttitle',true),
				'slug'=>url_title($this->input->post('txttitle',true), 'dash', true),
				'content'=>$this->input->post('txtcontent',true),
				'image'=>$image,
				'vlink'=>$this->input->post('txtvlink',true),
				'mtitle'=>$this->input->post('txtmtitle',true),
				'mdesc'=>$this->input->post('txtmdesc',true),
				'mkey'=>$this->input->post('txtmkeyword',true)
			);
			$this->Page_model->update($insert_data,$where);
			$this->sitemap();
			redirect('admin/posts');
        }		
	}

	public function destroy()
	{
		$where=array($this->input->post('key',true)=>$this->input->post('value',true));
		$this->Page_model->delete($where);
		$this->sitemap();
	}


	public function subscribers()
	{
		$data['title']='Subscribers Listing';
		$data['sub']='active';
		if ($this->input->post('txtname',true))
		{
			$insert_data=array(
				'name'=>$this->input->post('txtname',true),
				'email'=>$this->input->post('txtemail',true),
				'created_at'=>date('Y-m-d H:i:s')
			);
			$this->Page_model->insert_subscriber($insert_data);
		}		
		$data['subscribers']=$this->Page_model->get_all_subscribers();	
		$this->load->view('admin/pages/subscribers',$data);		
	}

	public function get_subscriber()
	{
		$where=array('id'=>$this->input->post('id',true));
		$val=$this->Page_model->get_single_subscriber($where);
		echo json_encode($val);
	}

	public function update_subscriber()
	{
		$insert_data=array(
			'name'=>$this->input->post('name',true),
			'email'=>$this->input->post('email',true)
		);		
		$where=array('id'=>$this->input->post('id',true));
		echo $this->Page_model->update_subscriber($insert_data,$where);
	}

	public function destroy_subscriber()
	{
		$where=array('id'=>$this->input->post('id',true));
		$this->Page_model->delete_subscriber($where);
	}

	public function page_list()
	{
		$data['title']='Page Listing';
		$data['pl']='active';
		if ($this->input->post('txttitle',true))
		{
			$insert_data=array(
				'title'=>$this->input->post('txttitle',true),
				'url'=>$this->input->post('txturl',true),
				'created_at'=>date('Y-m-d H:i:s')
			);
			$this->db->insert('page_list',$insert_data);
			$this->sitemap();
		}		
		$sql=$this->db->get('page_list');
		$data['page_list']=$sql->result();

		$this->load->view('admin/pages/page_list',$data);		
	}

	public function get_list()
	{
		$val=$this->db->get_where('page_list',array('id'=>$this->input->post('id',true)));
		echo json_encode($val->row());
	}

	public function update_list()
	{
		$insert_data=array(
			'title'=>$this->input->post('title',true),
			'url'=>$this->input->post('url',true)
		);		
		$this->db->where('id',$this->input->post('id',true));
		$this->db->update('page_list',$insert_data);
		$this->sitemap();
		echo "done";
	}

	public function destroy_list()
	{
		$where=array('id'=>$this->input->post('id',true));
		$this->db->delete('page_list',$where);
		$this->sitemap();
	}


	public function sitemap()
	{
		$sql=$this->db->get('page_list');
		$blog=$this->db->get_where('pages',array('status'=>1));
		$count=$sql->num_rows()+$blog->num_rows();

		/**************** Generating XML sitemap **************/
		$xml='<?xml version="1.0" encoding="UTF-8"?>';
		$xml.='<urlset
      		xmlns="http://www.sitemaps.org/schemas/sitemap/0.9"
      		xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
      		xsi:schemaLocation="http://www.sitemaps.org/schemas/sitemap/0.9
            http://www.sitemaps.org/schemas/sitemap/0.9/sitemap.xsd">';

        foreach ($sql->result() as $key => $value)
        {
        	$xml.='<url>
        			<loc>'.$value->url.'</loc>';
        	if ($value->url==='http://www.gurumaavidyavati.com/')
        	{
        		$xml.='<priority>1.00</priority>';
        	}
        	else
        	{
        		$xml.='<priority>0.80</priority>';
        	}
					
				$xml.='</url>';
        }
        foreach ($blog->result() as $key => $value)
        {
			$url='http://www.gurumaavidyavati.com/blog/'.$value->slug;
        	$xml.='	<url>
	        			<loc>'.$url.'</loc>
	        			<priority>0.80</priority>
					</url>';
        }       
        $xml.='</urlset>';

        $fp = fopen($_SERVER['DOCUMENT_ROOT'] . "/sitemap.xml","wb");
		fwrite($fp,$xml);
		fclose($fp);

		/**************** Generating HTML sitemap **************/
		$html='
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
<head>
<title>Site Map  HTML</title>
<meta http-equiv="Content-type" content="text/html; charset=utf-8" />
<style type="text/css">
body {
background-color: #DDD;
font: normal 80%  "Trebuchet MS", "Helvetica", sans-serif;
margin:0;
text-align:center;
}
#cont{
margin:auto;
width:800px;
text-align:left;
}
a:link,a:visited {
color: #0180AF;
text-decoration: underline;
}
a:hover {
color: #666;
}
h1 {
background-color:#fff;
padding:20px;
color:#00AEEF;
text-align:left;
font-size:32px;
margin:0px;
}
h3 {
font-size:12px;
background-color:#B8DCE9;
margin:0px;
padding:10px;
}
h3 a {
float:right;
font-weight:normal;
display:block;
}
th {
text-align:center;
background-color:#00AEEF;
color:#fff;
padding:4px;
font-weight:normal;
font-size:12px;
}
td {
font-size:12px;
padding:3px;
text-align:left;
}
tr {background: #fff}
tr:nth-child(odd) {background: #f0f0f0}
#footer {
background-color:#B8DCE9;
padding:10px;
}
.pager,.pager a {
background-color:#00AEEF;
color:#fff;
padding:3px;
}
.lhead {
background-color:#fff;
padding:3px;
font-weight:bold;
font-size:16px;
}
.lpart {
background-color:#f0f0f0;
padding:0px;
}
.lpage {
font:normal 12px verdana;
}
.lcount {
background-color:#00AEEF;
color:#fff;
padding:2px;
margin:2px;
font:bold 12px verdana;
}
a.aemphasis {
color:#009;
font-weight:bold;
}
</style>

</head>
<body>
<div id="cont">
<h1>HTML Site Map</h1>
<table cellpadding="0" cellspacing="0" border="0" width="100%">

<tr valign="top">
<td class="lpart" colspan="100"><div class="lhead">/
<span class="lcount">'.$count.' pages</span></div>

<table cellpadding="0" cellspacing="0" border="0" width="100%">
';

        foreach ($sql->result() as $key => $value)
        {
        	$html.='<tr><td class="lpage"><a href="'.$value->url.'" title="'.$value->title.'">'.$value->title.'</a></td></tr>';
        }
        foreach ($blog->result() as $key => $value)
        {
			$url='http://www.gurumaavidyavati.com/blog/'.$value->slug;
        	$html.='<tr><td class="lpage"><a href="'.$url.'" title="'.$value->title.'">'.$value->title.'</a></td></tr>';
        }       
        $html.='</table></td></tr></table></div></body></html>';
        
        $fp = fopen($_SERVER['DOCUMENT_ROOT'] . "/sitemap.html","wb");
		fwrite($fp,$html);
		fclose($fp);        
	}
}