<?php defined('BASEPATH') OR exit('No direct script access allowed');

class Page_model extends CI_Model 
{
	public function __construct()
    {
    	parent::__construct();
	}

	public function unique_field($column,$value)
	{
		$query=$this->db->get_where('pages',array($column=>$value));
		return $query->num_rows()>0?'no':'yes';
	}

	public function insert($data,$last_id=NULL,$is_batch=NULL)
	{
		if ($is_batch==NULL)
		{
			$this->db->insert('pages',$data);
			if ($last_id==NULL)
			{
				echo 'done';
			}
			else
			{
				echo $this->db->insert_id();
			}
		}
		else
		{
			$this->db->insert_batch('pages',$data);
			echo 'done';
		}
	}

	public function get_specific($specific)
	{
		$this->db->select($specific);
		$this->db->from('pages');
		$this->db->order_by('id', 'DESC');
		$this->db->where('status','1');
		$query=$this->db->get();
		return $query->result_array();
	}

	public function get_all_active($where=null,$limit=null,$offset=null)
	{
		$this->db->select('*');
		$this->db->from('pages');
		if ($where!=null)
		{
			$this->db->where($where);
		}

		if ($limit!=null)
		{
			if ($offset!=null)
			{
				$this->db->limit($limit,$offset); 
			}
			else
			{
				$this->db->limit($limit); 
			}
		}
		$this->db->order_by('id', 'DESC');
		$this->db->where('status','1');
		$query=$this->db->get();
		return $query->result();
	}

	public function get_single_active($where)
	{
		$query=$this->db->get_where('pages',$where);
		$row=$query->row();
		return $row;
	}

	public function update($data,$where)
	{
		$this->db->db_debug = FALSE;

		$this->db->where($where);
		$this->db->update('pages', $data);
		$error=$this->db->error();
		if ($error['code']==1062)
		{
			echo 'title should be unique*';
		}
		else
		{
			echo "done";
		}
	}	

	public function delete($where)
	{
		$this->db->where($where);
		$this->db->delete('pages');
	}

	public function get_current_user()
	{
		$sql=$this->db->get_where('users',array('id'=>$this->session->userdata('id')));
		return $sql->row();
	}

	public function update_current_user($data)
	{
		$this->db->where(array('id'=>$this->session->userdata('id')));
		$this->db->update('users',$data);
		echo 'done';
	}

	public function get_all_subscribers()
	{
		$sql=$this->db->get('subscribers');
		return $sql->result();
	}

	public function get_single_subscriber($where)
	{
		$sql=$this->db->get_where('subscribers',$where);
		return $sql->row();
	}	

	public function insert_subscriber($data)
	{
		$this->db->insert('subscribers',$data);
		echo "done";
	}

	public function update_subscriber($data,$where)
	{
		$this->db->where($where);
		$this->db->update('subscribers',$data);
		echo "done";
	}

	public function delete_subscriber($where)
	{
		$this->db->where($where);
		$this->db->delete('subscribers');
	}		
}