<?php 
  $this->load->view('admin/templates/header');
  $this->load->view('admin/templates/navbar'); 
?>
<link rel="stylesheet" href="<?= base_url();?>assets/admin/assets/vendor/datatables-bootstrap/dataTables.bootstrap.css">
<link rel="stylesheet" href="<?= base_url();?>assets/admin/assets/vendor/bootstrap-sweetalert/sweet-alert.css">

  <!-- Page -->
  <div class="page animsition">
    <div class="page-header">
      <h1 class="page-title">Posts</h1>
      <ol class="breadcrumb">
        <li><a href="<?= base_url('admin/dashboard'); ?>">Dashboard</a></li>
        <li class="active">Posts</li>
      </ol>

      <div class="page-header-actions">
        <a class="btn btn-sm btn-default btn-outline btn-round" href="<?= base_url('admin/posts/add');?>">
          <i class="icon wb-file" aria-hidden="true"></i>
          <span class="hidden-xs">Add Post</span>
        </a>
      </div>
    </div>

    <div class="page-content container-fluid">
      <div class="row">
        <div class="col-lg-12">
          <!-- Panel Filtering -->
          <div class="panel">
            <div class="panel-body">
             <table class="table table-hover dataTable table-striped width-full">
                <thead>
                  <tr>
                    <th>#ID</th> 
                    <th style="width: 60%">Title</th>             
                    <th>Status</th>
                    <th>Action</th>
                  </tr>
                </thead>
                <tbody>
                  <?php if(!empty($pages)):?>
                    <?php $i=1; foreach($pages as $row=>$page):?>
                  <tr>
                    <td><?= $i;?> </td>  
                    <td><?= ucfirst($page->title);?> </td>                  
                    <td>
                      <?= $page->status==1?'<span class="label label-table label-success">Active</span>':'<span class="label label-table label-warning">Disabled</span>';?>
                    </td>
                    <td>
                      <a href="<?= base_url('admin/posts/edit/'.$page->id);?>" class="btn btn-xs btn-info"><i class="icon wb-edit" aria-hidden="true"></i></a>
                      <button type="button" class="btn btn-xs btn-danger" onclick="remove(<?= $page->id; ?>)"><i class="icon wb-trash" aria-hidden="true"></i></button>
                    </td>
                  </tr>
                  <?php $i++; endforeach; else: ?>
                    <tr>
                      <td align="center" colspan="5">No records found</td>
                    </tr>
                  <?php endif; ?>
                </tbody>
              </table>
            </div>
          </div>
          <!-- End Panel Filtering -->
        </div>
      </div>
    </div>
  </div>
  <!-- End Page -->

<?php $this->load->view('admin/templates/footer'); ?>

<script src="<?= base_url();?>assets/admin/assets/vendor/datatables/jquery.dataTables.min.js"></script>
<script src="<?= base_url();?>assets/admin/assets/vendor/datatables-bootstrap/dataTables.bootstrap.min.js"></script>
<script src="<?= base_url();?>assets/admin/assets/vendor/bootstrap-sweetalert/sweet-alert.js"></script>
<script src="<?= base_url();?>assets/admin/assets/js/components/bootstrap-sweetalert.js"></script>

<script type="text/javascript">
jQuery('.dataTable').DataTable();


function remove(id) 
{
  swal({
      title: "Are you sure?",
      text: "You will not be able to recover this change!",
      type: "warning",
      showCancelButton: true,
      confirmButtonColor: '#DD6B55',
      confirmButtonText: 'Yes, delete it!',
      closeOnConfirm: false,
      //closeOnCancel: false
    },
    function() {
      jQuery.ajax({
        url:'<?= base_url('admin/posts/destroy');?>',
        type:'post',
        data:{key:'id',value:id,'<?= $this->security->get_csrf_token_name(); ?>':'<?= $this->security->get_csrf_hash(); ?>'},
        success:function(data){
          swal("Deleted!","Your Post has been deleted!","success");
          setTimeout(function(){
            location.reload();
          },2000);
        }
      });
    });
}

</script>