<?php 
  $this->load->view('admin/templates/header');
  $this->load->view('admin/templates/navbar'); 
?>
<link rel="stylesheet" href="<?= base_url();?>assets/admin/assets/vendor/datatables-bootstrap/dataTables.bootstrap.css">
<link rel="stylesheet" href="<?= base_url();?>assets/admin/assets/vendor/bootstrap-sweetalert/sweet-alert.css">

  <!-- Page -->
  <div class="page animsition">
    <div class="page-header">
      <h1 class="page-title">Subscribers</h1>
      <ol class="breadcrumb">
        <li><a href="<?= base_url('admin/dashboard'); ?>">Dashboard</a></li>
        <li class="active">Subscribers</li>
      </ol>
    </div>

    <div class="page-content container-fluid">
      <div class="row">
        <div class="col-lg-12">
          <!-- Panel Filtering -->
          <div class="panel">
            <div class="panel-body">
             <table class="table table-hover dataTable table-striped width-full">
                <thead>
                  <tr>
                    <th>#ID</th> 
                    <th>Name</th>
                    <th>Email</th>
                    <th>Status</th>
                    <th>Action</th>
                  </tr>
                </thead>
                <tbody>
                  <?php if(!empty($subscribers)):?>
                    <?php $i=1; foreach($subscribers as $row=>$subscriber):?>
                  <tr>
                    <td><?= $i;?> </td>  
                    <td><?= ucfirst($subscriber->name);?> </td>
                    <td><?= $subscriber->email;?> </td>              
                    <td>
                      <?= $subscriber->status==1?'<span class="label label-table label-success">Active</span>':'<span class="label label-table label-warning">Disabled</span>';?>
                    </td>
                    <td>
                      <button type="button" class="btn btn-xs btn-danger" onclick="remove(<?= $subscriber->id; ?>)"><i class="icon wb-trash" aria-hidden="true"></i></button>
                    </td>
                  </tr>
                  <?php $i++; endforeach; else: ?>
                    <tr>
                      <td align="center" colspan="5">No records found</td>
                    </tr>
                  <?php endif; ?>
                </tbody>
              </table>
            </div>
          </div>
          <!-- End Panel Filtering -->
        </div>
      </div>
    </div>
  </div>
  <!-- End Page -->

<?php $this->load->view('admin/templates/footer'); ?>

<script src="<?= base_url();?>assets/admin/assets/vendor/datatables/jquery.dataTables.min.js"></script>
<script src="<?= base_url();?>assets/admin/assets/vendor/datatables-bootstrap/dataTables.bootstrap.min.js"></script>
<script src="<?= base_url();?>assets/admin/assets/vendor/bootstrap-sweetalert/sweet-alert.js"></script>
<script src="<?= base_url();?>assets/admin/assets/js/components/bootstrap-sweetalert.js"></script>

<script type="text/javascript">
jQuery('.dataTable').DataTable();


function remove(id) 
{
  swal({
      title: "Are you sure?",
      text: "You will not be able to recover this change!",
      type: "warning",
      showCancelButton: true,
      confirmButtonColor: '#DD6B55',
      confirmButtonText: 'Yes, delete it!',
      closeOnConfirm: false,
      //closeOnCancel: false
    },
    function() {
      jQuery.ajax({
        url:'<?= base_url('admin/posts/destroy_subscriber');?>',
        type:'post',
        data:{'id':id,'<?= $this->security->get_csrf_token_name(); ?>':'<?= $this->security->get_csrf_hash(); ?>'},
        success:function(data){
          swal("Deleted!","Your page has been deleted!","success");
          setTimeout(function(){
            location.reload();
          },2000);
        }
      });
    });
}
</script>